# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "dampen-lsp"
version = "0.3.2"
authors = ["Mattdef <mattdef@gmail.com>"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Language Server Protocol implementation for Dampen UI framework"
documentation = "https://docs.rs/dampen-cli"
readme = "README.md"
keywords = [
    "ui",
    "iced",
    "declarative",
    "gui",
    "framework",
]
categories = [
    "gui",
    "development-tools",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/mattdef/dampen"
resolver = "2"

[lib]
name = "dampen_lsp"
path = "src/lib.rs"

[[bin]]
name = "dampen-lsp"
path = "src/main.rs"

[[test]]
name = "benchmark_tests"
path = "tests/benchmark_tests.rs"

[[test]]
name = "edge_case_tests"
path = "tests/edge_case_tests.rs"

[[test]]
name = "handlers_tests"
path = "tests/handlers_tests.rs"

[[test]]
name = "integration_tests"
path = "tests/integration_tests.rs"

[dependencies.dampen-core]
version = "0.3.2"

[dependencies.lru]
version = "0.12"

[dependencies.lsp-types]
version = "0.95"

[dependencies.once_cell]
version = "1.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio]
version = "1.0"
features = [
    "rt-multi-thread",
    "macros",
    "io-std",
]

[dependencies.tower-lsp]
version = "0.20"

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]

[dependencies.url]
version = "2.0"

[dev-dependencies.insta]
version = "1.0"

[dev-dependencies.tempfile]
version = "3.0"

[dev-dependencies.tokio-test]
version = "0.4"

[lints.clippy]
dbg_macro = "warn"
expect_used = "deny"
panic = "deny"
print_stderr = "warn"
print_stdout = "warn"
todo = "warn"
unwrap_used = "deny"

[lints.rust]
dead_code = "warn"
unused = "warn"
unused_imports = "warn"
unused_mut = "warn"
unused_variables = "warn"
